package com.huatek.busi.service.generatro;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.BusiSensorQueryParamDto;
import com.huatek.busi.entity.BusiGeneratorSensor;
import com.huatek.busi.entity.BusiTransformerSensor;
import com.huatek.busi.vo.BusiSensorVo;

import java.util.List;

/**
  * @ClassName: BusiTransformerSensorService
  * @Description: 发电机外挂设备传感器服务
  * @version: 1.0
  */

public interface BusiGeneratorSensorService {


	/** 
	* @Title: findByPK 
	* @Description: 根据主键获取 
	*/
	BusiGeneratorSensor findByPK(String pk);

	/**
	 * @Title: page
	 * @Description: 分页
	 * @createDate: Jul 18, 2019 3:35:52 PM
	 * @param    equipmentId 外挂设备树ID
	 * @return   Page<BusiSensorVo>
	 */
	Page<BusiSensorVo> page(String equipmentId);

	/**
	 * @Title: add
	 * @Description: 新增传感器
	 * @createDate: Jul 19, 2019 1:35:32 PM
	 * @param    busiSensorVo
	 * @return   boolean
	 */
	boolean add(BusiSensorVo busiSensorVo);

//	/**
//	 * @Title: update
//	 * @Description: 修改传感器
//	 * @createDate: Jul 19, 2019 1:35:44 PM
//	 * @param   busiSensorVo
//	 * @return   boolean
//	 */
//	boolean update(String token,BusiSensorVo busiSensorVo);

	/**
	 * @Title: delete
	 * @Description: 删除传感器
	 * @param    list  删除的主键集合
	 * @return   boolean
	 */
	boolean delete(List<String> list);

	/**
	 * @Title: 根据sensor编码获取sensor信息
	 * @Description: 根据主键获取
	 * @param sensorCode
	 *            sensor编码
	 */
	BusiGeneratorSensor findSensorBySensorCode(String sensorCode);

	/**
	 * sensor查询方法
	 *
	 * @param param
	 *            参数
	 * @return sensor列表
	 */
	List<BusiSensorVo> findSensorList(BusiSensorQueryParamDto param);

	BusiSensorVo getBusiSensorVo(String sensorCode);

	BusiSensorVo getBusiSensorVoById(String id);

	int findSensorCount(String equipmentType);

	boolean update(String token, BusiSensorVo busiSensorVo);
}
